/*
 * small Termios test
 */

#include <rtems.h>
#include <stdlib.h>
#include <stdio.h>
#include <assert.h>

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <termios.h>
#include <unistd.h>


rtems_task Init(
  rtems_task_argument ignored
)
{
  struct termios termios;
  int ret;
  char buf[255];
  int fd = open("/dev/ttyS1", O_RDWR);
  assert(fd >= 0);

  ret = tcgetattr(fd, &termios);
  assert(ret == 0);
  /* in default Setting ICANON is enable */
  assert((termios.c_lflag & ICANON) != 0);
  
  /* hot fix for application. Set default settings again. */
  /*ret = tcsetattr(fd, TCSAFLUSH, &termios);
  assert(ret == 0);*/

  ret = read(fd, buf, 255);
  assert(ret > 0);
  exit(0);
}

/* configuration information */

#include <bsp.h>

#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
#define CONFIGURE_LIBIO_MAXIMUM_FILE_DESCRIPTORS 20


#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
#define CONFIGURE_MAXIMUM_TASKS 1

#define CONFIGURE_INIT
#include <rtems/confdefs.h>
/* end of file */

